<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Movement\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Product\Models\ProductVarietyPack;

class SalesOrderItem extends Model
{


    protected $table = "movimentacao.pedido_venda_item";
    public $timestamps = false;
    protected $primaryKey = 'pvi_codigo';

    protected $fillable = [
        'pvi_quantidade',
        'pvi_valor_unitario',
        'pvi_desconto',
        'pvi_fk_pev_codigo',
        'pvi_fk_pve_codigo'
    ];


    public function produto_variedade_embalagem()
    {
        return $this->belongsTo(ProductVarietyPack::class, 'pvi_fk_pve_codigo')->with('order_product_variety');
    }

}
